Error installing TB 1.03 fails on installing modules



  • Hi,

    When installing TB I get an error when installing modules. I was installing the Dutch language on the server at my hosting provider.

    0_1507567717278_ac271351-92b4-4f3a-bbb2-2a559182277a-afbeelding.png

    Need some help here please


  • administrators

    Just the module step? Did you download thirty bees from GitHub?



  • Thanks for your answer Michael.
    I downloaded TB yesterday via the downloadlink in the TB website and installed it today at our webhoster. It all went well untill 75% then the error occurred. Maybe something went wrong uploading the software. Maybe it’s an option to start over again?


  • administrators

    I’ve seen this error before. It happened when I forgot to clone recursively from the GitHub repository. Effectively, this left me with an empty /modules folder so it could be an incomplete upload indeed.

    Even though the installer has a check itself, have you checked if the /modules folder is filled with module files and writable by thirty bees?



  • /modules is not empty and rights are 755 on this folder. I changed this to 777 to see what happens. Restarted the install and now it’s ok


  • administrators

    So it was just a matter of changing the permissions, but no warnings before the installation? Where is your store hosted?



  • @mdekker Apparently not. I had more errors in the front end. I decided to do the installation all over again and it went well without any errors or changing permissions. I think something went wrong during the first upload. The store is hosted at TransIP. Thanks for your help.



  • Today I thought I was having the same problem. Because at this point, the installation process stopped. But after a while, I realized that the problem is that this point takes more that 2 o 3 minutes to get completed!!! So, many times, I stopped the page, because I thought there was a problem… Yes, definitely this point needs to be improved.


  • administrators

    It is ridiculous indeed. I benchmarked the installer a couple of days ago to see if there were any improvements possible, but the outcome of the test basically was: “the installer sucks, find something else”.

    We will likely not be releasing 1.0.4 before the installer has been revamped. Timeouts in the installer have prevented people from installing this kind of software for years now. It’s time to put that to an end.



  • Hi,

    When installing TB I get an error when installing modules. I was installing the Danish language on the server at my hosting provider

    Store installationStore installationStore installationStore installationStore installationStore installation
    75%
    Opret settings.inc fil
    Opret database tabeller
    Opret standard shop og sprog
    Populate database tables
    Konfigurer shop information
    Installer demonstrations data
    Installer moduler
    An error occurred during installation…
    You can use the links on the left column to go back to the previous steps, or restart the installation process by clicking here.
    Ajax request failed for process installModules=true with error.

    I need some help with this issue, plase


  • administrators

    Did we mention the php.ini setting max_execution_time in this topic? That one is key. If it doesn’t manage to install within the time limit the number needs to be increased. 600 is a safe one, but you might be able to choose a lower number depending on the server’s performance.



  • With my first atempt to install I have a Internal Server timeout. It was set to 30 sec. I then changed it to 1800 sec, just to be sure. That help on that, but now I get this error instead.



  • It would be great if those Ajax error messages became a bit more explicit - specially when DEV_MODE is on.



  • I have just tryed to install from Edge browser. Still no succes, but I get a more detailed error:

    75%
    Create settings.inc file
    Create database tables
    Create default shop and languages
    Populate database tables
    Configure shop information
    Install demonstration data
    Install modules
    An error occurred during installation…
    You can use the links on the left column to go back to the previous steps, or restart the installation process by clicking here.
    Cannot install module “socialsharing”,Cannot install module “blockbanner”,Cannot install module “bankwire”,Cannot install module “blockbestsellers”,Cannot install module “blockcart”,Cannot install module “blocksocial”,Cannot install module “blockcategories”,Cannot install module “blockcurrencies”,Cannot install module “blockfacebook”,Cannot install module “blocklanguages”,Cannot install module “blocklayered”,Cannot install module “blockcms”,Cannot install module “blockcmsinfo”,Cannot install module “blockcontact”,Cannot install module “blockcontactinfos”,Cannot install module “blockmanufacturer”,Cannot install module “blockmyaccount”,Cannot install module “blockmyaccountfooter”,Cannot install module “blocknewproducts”,Cannot install module “blocknewsletter”,Cannot install module “blockpaymentlogo”,Cannot install module “blocksearch”,Cannot install module “blockspecials”,Cannot install module “blockstore”,Cannot install module “blocksupplier”,Cannot install module “blocktags”,Cannot install module “blocktopmenu”,Cannot install module “blockuserinfo”,Cannot install module “blockviewed”,Cannot install module “dashactivity”,Cannot install module “dashtrends”,Cannot install module “dashgoals”,Cannot install module “dashproducts”,Cannot install module “graphnvd3”,Cannot install module “gridhtml”,Cannot install module “homeslider”,Cannot install module “homefeatured”,Cannot install module “productpaymentlogos”,Cannot install module “pagesnotfound”,Cannot install module “sekeywords”,Cannot install module “statsbestcategories”,Cannot install module “statsbestcustomers”,Cannot install module “statsbestproducts”,Cannot install module “statsbestsuppliers”,Cannot install module “statsbestvouchers”,Cannot install module “statscarrier”,Cannot install module “statscatalog”,Cannot install module “statscheckup”,Cannot install module “statsdata”,Cannot install module “statsequipment”,Cannot install module “statsforecast”,Cannot install module “statslive”,Cannot install module “statsnewsletter”,Cannot install module “statsorigin”,Cannot install module “statspersonalinfos”,Cannot install module “statsproduct”,Cannot install module “statsregistrations”,Cannot install module “statssales”,Cannot install module “statssearch”,Cannot install module “statsstock”,Cannot install module “statsvisits”,Cannot install module “tbupdater”,Cannot install module “themeconfigurator”

    If you need some assistance, you can get tailored help from our support team. The official documentation is also here to guide you.
    Official forum | thirtybees.com | Support | Documentation | Contact us | © 2007-2017


  • administrators

    Can you find the modules in the /modules folder?



  • Yes, all the modules are in the /modules folder



  • Any insights from the file timestamps in the modules directory?



  • I have also tryed to change the permissions from 755 to 777, but it dosnt solve the problem.



  • Have tryed to install ver. 1.0.2 same result, then I tryed to install ver. 1.0.1 and that succeded.


Log in to reply
 

Looks like your connection to thirty bees forum was lost, please wait while we try to reconnect.